Расширения Normalmap и DDS обновлены для GIMP 2.8

Шон Кёрст стряхнул пыль с расширений Normalmap и DDS plug, которые не трогал уже больше двух лет. Оба расширения будут интересны тем, кто занимается 3D и графикой для компьютерных игр. В частности, Normalmap разрабатывается как клон аналогичного расширения NVidia для Photoshop.

GIMP Normalmap plug-in, 2D view

В расширении Normalmap никаких изменений кроме добавленной совместимости с GIMP 2.8 не произошло. А вот с модулем для открытия и экспорта файлов Direct Draw Surface всё интереснее.

DDS exporting options

Здесь не только совместимость с новой версии программы, но и поддержка сохранения существующей цепочки мипмапоа и даже улучшения в качестве компрессии DXT.

В разделе TODO Шон указал, что планирует переписать модуль на GEGL, так что можно будет работать с пиксельными форматами, поддерживающими большую глубину цвета.

Оба модуля доступны в виде исходного кода и сборок для Windows — как 32bit, так и 64bit:

Comments

  1. wrote on Июнь 14th, 2014 at 1:50 пп

    Pahan

    Кто при открытии файла видит сообщение дам совет — Gimp и плагины не любят длинных путей с кирилицей в названии папок и файлов. В идеале создать папку на самом диске (1 уровня) , к примеру D:\My_Image_01\ и работать в ней с обрабатываемыми картинками.

  2. wrote on Июнь 30th, 2014 at 3:11 дп

    ывапапрваррв

    ошибка инсталлятора libgimp2-0-0 отсутствует! какой смысл для плагина создавать инсталлятор, который отказывает устанавливать? нельзя ли просто добавить файлы в архив, чтобы потом скопировать? видимо, нельзя — ума не хватает.

    • wrote on Январь 25th, 2017 at 8:49 дп

      Beckar

      И действительно, видимо ума не хватает прочитать read me.
      Инсталляторы запускать не нужно, нужно копировать их в соответствующие папки.

  3. wrote on Сентябрь 20th, 2014 at 10:01 пп

    unknown

    При установке плагина GIMP Normalmap на Windows 7 64bit (GIMP 2.8.14), выкидывает ошибку 0xc000007b. Хотя GIMP DDS. 64bit установился норм. Да и GIMP Normalmap 32 битный также норм…

  4. wrote on Ноябрь 27th, 2016 at 3:05 пп

    Andrey A.

    Спасибо за gimp-plug-in dds! 2.0 выдаёт сообщения, 3.0.1. пашет отлично!

  5. wrote on Март 7th, 2017 at 11:20 дп

    Надя

    Если это верны путь для DDS 3.0.1 — share\gimp\*version*\scripts, то по какой причине плагин не работает?

    • wrote on Март 7th, 2017 at 8:19 пп

      prokoudine

      Файлы .exe нужно устанавливать в \plug-ins, а не в \scripts.

Add a comment